## sophomorix 2.4.60-2

=== debian/changelog ===
sophomorix (2.4.60-2) babo62-testing; urgency=medium

  * some fixes (maildomain, ...)

 -- jeff <bz@adler>  Thu, 21 Feb 2019 20:14:38 +0100

sophomorix (2.4.59-2) babo-testing; urgency=medium

  * new firstnames list (ca. 1200 enrtries)

 -- bz <bz@overpower>  Thu, 10 Mar 2016 11:54:00 +0100

sophomorix (2.4.58-1) babo-testing; urgency=medium

  * sophomorix-check --analyze-coding

 -- bz <bz@overpower>  Wed, 09 Mar 2016 18:54:02 +0100

sophomorix (2.4.57-1) babo-testing; urgency=medium

  *Error numbers below 127 , Bug #554

 -- bz <bz@overpower>  Sat, 27 Feb 2016 10:35:43 +0100

sophomorix (2.4.56-2) babo-testing; urgency=medium

  * Same as 2.4.56-1, but with correct dependencies

 -- jeff <bz@adler>  Fri, 15 Jan 2016 14:23:27 +0100

sophomorix (2.4.56-1) babo-testing; urgency=medium

  * Added patches from Frank Schütte for 

 -- jeff <bz@adler>  Thu, 14 Jan 2016 00:42:22 +0100

sophomorix (2.4.55-1) babo-testing; urgency=medium

  * New upstream, various fixes

 -- bz <bz@overpower>  Wed, 07 Oct 2015 09:01:34 +0200
 

sophomorix (2.4.54-1) babo-testing; urgency=medium

  * New upstream, $reverse_loginname_creation added

 -- bz <bz@overpower>  Mon, 05 Oct 2015 19:05:48 +0200

sophomorix (2.4.53-1) babo-testing; urgency=medium

  * New upstream 2.4.53, Bugfix #487, clean ACLs in home/share

 -- bz <bz@overpower>  Mon, 05 Oct 2015 17:00:48 +0200

sophomorix (2.4.52-1) babo-testing; urgency=low

  * Added maillist configuration in /etc/sophomorix/mail/<name>

 -- root <root@bszleo.de>  Wed, 12 Aug 2015 17:15:33 +0200

sophomorix (2.4.51-1) babo-testing; urgency=medium

  * Added option sophomorix-print --back-in-time <num>
  * Fixed Bug: cannot create login cards for recently added users

 -- bz <bz@overpower>  Thu, 23 Jul 2015 01:05:28 +0200

sophomorix (2.4.50-1) babo-testing; urgency=medium

  * Added feature project passwords from Frank S.
  * Current package of Schulkonsole needed

 -- jeff <bz@adler>  Wed, 15 Jul 2015 16:57:30 +0200

sophomorix (2.4.49-1) babo-testing; urgency=low

  * Added variable in sophomorix.conf

 -- root <root@bszleo.de>  Wed, 01 Jul 2015 18:00:11 +0200

sophomorix (2.4.48-2) babo; urgency=medium

  * Added alternative repair.directories

 -- jeff <bz@adler>  Wed, 03 Jun 2015 11:29:42 +0200

sophomorix (2.4.48-1) babo; urgency=medium

  * New upstraem Release: Disabled bind mounts, updated sophomorix-janitor 

 -- jeff <bz@adler>  Mon, 01 Jun 2015 00:38:33 +0200

sophomorix (2.4.47-1) babo; urgency=medium

  * New upstream release (Do not create __tauschen wehen adding, moving, ...)

 -- bz <bz@overpower>  Thu, 18 Sep 2014 00:41:42 +0200

sophomorix (2.4.46-1) babo; urgency=medium

  * New upstream release (Bugfix #353 completed)

 -- bz <bz@overpower>  Wed, 03 Sep 2014 16:45:10 +0200

sophomorix (2.4.45-1) babo; urgency=medium

  * New upstream release (Bugfix #353)

 -- bz <bz@overpower>  Wed, 03 Sep 2014 12:54:53 +0200

sophomorix (2.4.44-1) babo; urgency=low

  * New upstream release

 -- root <root@bszleo.de>  Thu, 07 Aug 2014 10:46:09 +0200

sophomorix (2.4.43-1) precise-testing; urgency=medium

  * New upstream release

 -- bz <bz@overpower>  Thu, 07 Aug 2014 07:23:36 +0200

sophomorix (2.4.42-1) precise-testing; urgency=low

  * New upstream. Repairing homedirecories correctly

 -- root <root@bszleo.de>  Fri, 01 Aug 2014 11:55:41 +0200

sophomorix (2.4.41-1) babo; urgency=medium

  * Fixed Bug #319

 -- bz <bz@overpower>  Wed, 23 Jul 2014 19:38:43 +0200

sophomorix (2.4.40-1) precise-testing; urgency=low

  * Moved documentation to wiki

 -- bz <bz@adler>  Fri, 25 Apr 2014 20:05:47 +0200

sophomorix (2.4.39-1) precise-testing; urgency=low

  * Closes Bug #173 and #233

 -- bz <bz@overpower>  Tue, 25 Mar 2014 17:34:37 +0100

sophomorix (2.4.38-1) precise-testing; urgency=low

  * Closes Bug #51 and #260

 -- bz <bz@overpower>  Mon, 10 Feb 2014 00:17:28 +0100

sophomorix (2.4.37-2) precise; urgency=low

  * Closes Bug #227

 -- bz <bz@overpower>  Thu, 05 Dec 2013 10:16:35 +0100

sophomorix (2.4.36-2) precise; urgency=low

  * Closes Bug #214

 -- bz <bz@overpower>  Sat, 12 Oct 2013 18:23:13 +0200

sophomorix (2.4.35-1) precise-unstable; urgency=low

  * Experimental Version for login rename

 -- bz <bz@overpower>  Fri, 11 Oct 2013 19:14:04 +0200

sophomorix (2.4.33-1) precise; urgency=low

  * Bugfix Release

 -- bz <bz@overpower>  Mon, 07 Oct 2013 23:19:26 +0200

sophomorix (2.4.32-1) precise; urgency=low

  * Bugfix Release

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Wed, 02 Oct 2013 14:55:13 +0200

sophomorix (2.4.31-1) precise; urgency=low

  * Bugfix Release

 -- bz <bz@overpower>  Tue, 01 Oct 2013 16:15:35 +0200

sophomorix (2.4.30-1) precise; urgency=low

  * Bugfix Release

 -- root <root@bszleo.de>  Wed, 11 Sep 2013 14:11:13 +0200

sophomorix (2.4.29-1) precise-testing; urgency=low
 
  * Bugfix Release 

 -- bz <bz@overpower>  Tue, 13 Aug 2013 15:27:30 +0200

sophomorix (2.4.28-1) precise; urgency=low

  * Löschen von /var/lib/sophomorix/print-data/$HOME per cronjob (Bugfix #127)

 -- bz <bz@overpower>  Sat, 15 Jun 2013 18:55:06 +0200

sophomorix (2.4.27-1) precise; urgency=low

  * bind mounts for administrator, domadmin (Bugfix #135)
  * removed lintian errors

 -- bz <bz@overpower>  Thu, 02 May 2013 23:27:26 +0200

sophomorix (2.4.26-2) precise; urgency=low

  * New dependencies

 -- bz <jeffbeck@web.de>  Tue, 16 Apr 2013 21:02:57 +0200

sophomorix (2.4.26-1) precise; urgency=low

  * New upstream release (Bugfix #59, #111)
  * New Option sophomorix-user --new-class class (#128)

 -- bz <jeffbeck@web.de>  Tue, 16 Apr 2013 20:47:54 +0200

sophomorix (2.4.25-1) precise; urgency=low

  * New upstream release (Bugfix #126)

 -- bz <jeffbeck@web.de>  Mon, 15 Apr 2013 20:21:28 +0200

sophomorix (2.4.24-2) precise; urgency=low

  * Pakage for ubuntu

 -- bz <jeffbeck@web.de>  Tue, 05 Mar 2013 23:56:35 +0100

sophomorix (2.4.24-1) precise; urgency=low

  *  New upstream release (Bugfix #95)


