=== debian/changelog ===
sophomorix (2.4.60-3) babo62; urgency=medium

  * some fixes (maildomain, ...)

 -- jeff <bz@adler>  Thu, 21 Feb 2019 20:14:38 +0100
