=== debian/control ===
# This is a Test control file with different dependencies which fit ubuntu/lenny
# with the following changes:
# 1) tetex is replaced by texlive
# 2) Todo: dependencies on a specific package version are cancelled 
#    (rsync instead of  rsync (>=2.6.3))
# 3) Todo: dependencies on 2 postgres versions are cancelled
# adding this line for testing

Source: sophomorix
Section: admin
Priority: optional
Maintainer: Ruediger Beck <jeffbeck@web.de>
Build-Depends: debhelper (>> 3.0.0), man2html , docbook-utils , fakeroot, docbook, devscripts
Standards-Version: 3.5.2



Package: sophomorix2
Architecture: all
Suggests: sophomorix-doc-html
Depends:  sophomorix-base (>=2.4.60), sophomorix-pgldap (>=2.4.60)
Description: sophomorix user adminitration meta package
 This package contains all the components necessary to add to your
 Debian GNU/Linux box a powerful user administration


Package: sophomorix-base
Architecture: all
Suggests: sophomorix-doc-html
Pre-Depends:  samba 
Depends:  libdate-calc-perl, libexpect-perl, libterm-readkey-perl, libterm-readline-perl-perl, quota, libquota-perl, libstring-approx-perl, libsys-filesystem-perl, libmailtools-perl, libimap-admin-perl, texlive-base-bin, liblchown-perl, texlive-latex-base, texlive-latex-extra, texlive-pstricks, texlive-lang-german, texlive-latex-recommended, gs-common, rsync, zip, bzip2, lsb-release, libnet-mac-perl
Description: scripts for sophomorix
 sophomorix-base contains all database independent scripts to run sophomorix
 on the console. You additionally need a package to access the postgres 
 database (i.e. sophomorix-pgldap)


# for Debian ubuntu
Package: sophomorix-pgldap
Architecture: all
Suggests: sophomorix-doc-html
Pre-Depends: postgresql , slapd 
Depends:  sophomorix-base, libpam-ldap , ldap-utils , libnss-ldap ,smbldap-tools , libcrypt-smbhash-perl , libdbd-pg-perl, libnet-ldap-perl, nscd  
Provides: sophomorix-db
Description: postgresql database with ldap access for sophomorix
 Database module to store the Sophomorix database in postgresql and make 
 the database available in openldap.


Package: sophomorix-developer
Architecture: all
Suggests: perl-doc
Depends:  sophomorix2 (>=2.4.60)
Description: Test suite for sophomorix
 Scripts to test sophomorix on a runnig system. These scripts can screw up 
 your server!


Package: sophomorix-doc-html
Architecture: all
Depends: 
Description: Html documentation for sophomorix
 This Package contains the complete documentation for sophomorix


Package: sophomorix-virusscan
Architecture: all
Depends: sophomorix2 (>=2.4.60), clamav
Description: script to scan large amounts of data for viruses with clamscan
